from dingus import Dingus

from jobtriggers import utils


class TestBodhiJobTrigger():
    def setup_method(self, method):
        self.ref_validarches = ['i386', 'x86_64']
        self.ref_nvr = 'foo'
        self.ref_buildid = 1
        self.ref_rpmarches = [{'arch': 'i386'}, {'arch': 'x86_64'}]
        self.ref_build = {'id': self.ref_buildid}

    def test_get_arches_by_buildid(self, monkeypatch):
        monkeypatch.setattr(utils, 'koji_client', Dingus(listRPMs__returns=self.ref_rpmarches))

        res = utils.get_arches(buildid=self.ref_buildid)

        assert res == set(self.ref_validarches)

    def test_get_arches_by_nvr(self, monkeypatch):
        monkeypatch.setattr(utils, 'koji_client', Dingus(listRPMs__returns=self.ref_rpmarches, getBuild__returns=self.ref_build))

        res = utils.get_arches(nvr=self.ref_nvr)

        assert res == set(self.ref_validarches)
